Subject: Re: [PATCH] Makefile: suppress false positive warnings of empty format string.

From: Ramsay Jones <[email-masked]>
Date: Sun, 29 Sep 2013 16:23:54 +0100

On 29/09/13 16:07, Felipe Contreras wrote:
> On Sun, Sep 29, 2013 at 7:08 AM, Stefan Beller
> <[email-masked]> wrote:
>> Signed-off-by: Stefan Beller <[email-masked]>
>> ---
>>  Makefile | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/Makefile b/Makefile
>> index de3d72c..60afa51 100644
>> --- a/Makefile
>> +++ b/Makefile
>> @@ -349,7 +349,7 @@ GIT-VERSION-FILE: FORCE
>>
>>  # CFLAGS and LDFLAGS are for the users to override from the command line.
>>
>> -CFLAGS = -g -O2 -Wall
>> +CFLAGS = -g -O2 -Wall -Wno-format-zero-length
> 
> Oh yes please.
> 
> However, somebody mentioned that this might break compilers other than
> gcc, but perhaps we can do what Linux does:

I simply added:

    CFLAGS+=-Wno-format-zero-length

to my config.mak file. I had originally intended to do so conditionally,
depending on the compiler being gcc, but I found that clang and tcc just
ignored it ...

> cc-disable-warning = $(call try-run,\
> $(CC) $(CFLAGS) -W$(strip $(1)) -c -x c /dev/null -o "$$TMP",-Wno-$(strip $(1)))
> 
> CFLAGS = -g -O2 -Wall $(call cc-disable-warning,format-zero-length,)

ATB,
Ramsay Jones